=== debian/changelog ===
math-phys-1 (0.1.131207) stable; urgency=low

  * Changed the dependencies to include the version of the g2 library in
    the Debian Wheezy distribution. From now on, only the amd64 packages
    will be generated, since there are no more i386 machines available.

 -- Jorge L. deLyra <delyra@fma.if.usp.br>  Sat, 07 Dec 2013 17:22:58 -0200

math-phys-1 (0.1.120129) stable; urgency=low

  * Updated the program to the latest version of g2 and g2-ctof and to the
    use of the gfortran compiler.

 -- Jorge L. deLyra <delyra@fma.if.usp.br>  Sun, 29 Jan 2012 18:19:33 -0200

math-phys-1 (0.1.071123) stable; urgency=low

  * Added pt_BR versions of the balloon help texts. Corrected a few typos.

 -- Jorge L. deLyra <delyra@fma.if.usp.br>  Fri, 23 Nov 2007 10:07:51 -0200

math-phys-1 (0.1.071122) stable; urgency=low

  * Added a button to open a window with the man page. Made a small
    correction to the man pages.

 -- Jorge L. deLyra <delyra@fma.if.usp.br>  Thu, 22 Nov 2007 14:16:42 -0200

math-phys-1 (0.1) stable; urgency=low

  * Initial Release.

 -- Jorge L. deLyra <delyra@fma.if.usp.br>  Sat, 17 Nov 2007 17:35:18 -0200

Local variables:
mode: debian-changelog
End:
