## math-phys-1 0.1.160523

=== Makefile ===
--- 
+++ 
@@ -1,5 +1,5 @@
 # -*-makefile-*-
-# JLdL 07Dec13.
+# JLdL 23May16.
 #
 # This is the Makefile for the fismat support material, as well as
 # _ for its documentation; so far the following programs exist:
@@ -64,14 +64,14 @@
 LIB = \
 /usr/lib/libg2-ctof.a \
 /usr/lib/libg2.a \
-/usr/lib/libgd.a \
-/usr/lib/libjpeg.a \
-/usr/lib/libpng.a \
-/usr/lib/libz.a
+/usr/lib/x86_64-linux-gnu/libgd.a \
+/usr/lib/x86_64-linux-gnu/libjpeg.a \
+/usr/lib/x86_64-linux-gnu/libpng.a \
+/usr/lib/x86_64-linux-gnu/libz.a
 
 # The most basic shared libraries; the C and F77 libraries are
 # _ loaded automatically and do not have to be listed here.
-LD = -L/usr/X11R6/lib -lm -lX11
+LD = -L/usr/lib/x86_64-linux-gnu -lm -lX11
 
 # Distribution-related macros.
 
@@ -102,7 +102,9 @@
 
 # The default target is to make the package, as well as
 # _ the tar with the statically-linked version.
-default: package static-tar
+default: all
+
+all: package static-tar
 
 # Make the package.
 package:
@@ -133,7 +135,7 @@
 	tar -czf $@ $(PACKAGE)-static/
 
 # Make all the compiled binaries.
-all: plot_func plot_func_static
+allbin: plot_func plot_func_static
 
 # Make the complex-functions script.
 complex-functions: complex-functions.local
@@ -154,7 +156,7 @@
 	strip $@
 
 # Install files on the package subdirectory.
-install: all $(BINFILES) $(MANFILES) $(MANFILES-PT_BR)
+install: allbin $(BINFILES) $(MANFILES) $(MANFILES-PT_BR)
 	@echo Installing the binary files in $(BINDIR)/
 	@mkdir -p $(BINDIR)/
 	@cp -af $(BINFILES) $(BINDIR)/
