=== debian/changelog ===
math-phys-1 (0.1.160523) UNRELEASED; urgency=medium

  * New version, same software compiled with updated libraries.

 -- Jorge L. deLyra <delyra@fma.if.usp.br>  Mon, 23 May 2016 13:15:20 -0300
