=== debian/control ===
Source: math-phys-1
Priority: optional
Maintainer: Jorge L. deLyra <delyra@fma.if.usp.br>
Build-Depends: debhelper (>= 5.0.0)
Standards-Version: 3.6.2
Section: math

Package: math-phys-1
Architecture: any
Depends: libc6 (>= 2.3.6-6), libg2c0 | libg20, libgcc1, libx11-6, libg2-ctof
Description: A set of support utilities for Mathematical Physics I
 This package contains a set of support utilities for the Mathematical
 Physics I discipline of the Department of Mathematical Physics of the
 Physics Institute of the University of Sao Paulo. There are man pages
 for each utility:
 .
 complex-functions.1.
